import { isValidGraphqlName } from './name.js';
import { hasProperty, isRecord } from './record.js';
const enumValueSymbol = Symbol('GraphQL enum value');
export function isEnumValue(value) {
    return isRecord(value) && hasProperty(value, 'tag') && value.tag === enumValueSymbol;
}
export function enumValue(value) {
    if (!isValidGraphqlName(value)) {
        throw new Error(`Enum value "${value}" is not a valid enum value`);
    }
    return {
        enumValue: value,
        tag: enumValueSymbol
    };
}
//# sourceMappingURL=enum.js.map